#pragma once
#include "cs_function_abstract.h"

#define CS_FUNCTION_DOMAIN "CSDomain"

class TCSFunctionDomain: public ICSFunction {
public:
    virtual ~TCSFunctionDomain() {}

    virtual TString GetFResult(const TParsedDocument& parsedDoc) const;

    virtual TString Name() const {
        return CS_FUNCTION_DOMAIN;
    }

    static TFactory::TRegistrator<TCSFunctionDomain> Registrator;
};
